> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Jobs by Connection ID

> List all the jobs for a given Connection.



## OpenAPI

````yaml get /provisioning/organizations/{organization_id}/connections/{connection_id}/jobs
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /provisioning/organizations/{organization_id}/connections/{connection_id}/jobs:
    get:
      tags:
        - provisioning
      summary: List Jobs by Connection ID
      description: List all the jobs for a given Connection.
      operationId: list_connection_jobs
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Connection Id
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Partial or exact match for Connection Job ID
            title: Id
          description: Partial or exact match for Connection Job ID
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Connection Job Status filter, comma separated
            title: Status
          description: Connection Job Status filter, comma separated
          example: running,success
        - name: started_at_since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return jobs which started at this datetime
              or after
            title: Started At Since
          description: >-
            Datetime filter, only return jobs which started at this datetime or
            after
          example: '2021-01-01T00:00:00+00:00'
        - name: X-CONNECTION-INVITE-TOKEN
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Connection-Invite-Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OffsetPaginatedResponse_ConnectionJobRespModel_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API-Key: []
components:
  schemas:
    OffsetPaginatedResponse_ConnectionJobRespModel_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/ConnectionJobRespModel'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[ConnectionJobRespModel]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectionJobRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        status:
          type: string
          enum:
            - QUEUED
            - RUNNING
            - SUCCESS
            - FAILED
          title: Status
        state:
          anyOf:
            - type: object
            - type: 'null'
          title: State
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finished At
        failure_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Reason
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        options:
          anyOf:
            - type: object
            - type: 'null'
          title: Options
      type: object
      required:
        - id
        - status
      title: ConnectionJob
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````